Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QSlider

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QSlider class reference

### Public Functions

- QSlider ( QWidget * parent, const char * name )
- QSlider ( Qt::Orientation orientation, QWidget * parent, const char * name )
- QSlider ( int minValue, int maxValue, int pageStep, int value, Qt::Orientation orientation, QWidget * parent = 0, const char * name = 0 )

### Public Slots

- void addStep ()
- void subtractStep ()

## Member Function Documentation

### QSlider::QSlider ( QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QSlider::QSlider ( Qt::Orientation orientation, QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QSlider::QSlider ( int minValue, int maxValue, int pageStep, int value, Qt::Orientation orientation, QWidget * parent = 0, const char * name = 0 )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### void QSlider::addStep () `[slot]`

Use setValue() instead.

### void QSlider::subtractStep () `[slot]`

Use setValue() instead.